import 'package:flutter/material.dart';
import 'package:storebounty_checkout/common/constants/checkoutthemes.dart';
import 'package:storebounty_checkout/model/customermodel.dart';
import 'package:storebounty_checkout/src/pages/checkout_v1.dart';
import 'package:storebounty_checkout/src/pages/checkout_v2.dart';

class StoreBountyCheckout extends StatefulWidget {
  final VoidCallback onCompleted;
  const StoreBountyCheckout({Key? key, required this.onCompleted}) : super(key: key);

  @override
  State<StoreBountyCheckout> createState() => _StoreBountyCheckoutState();
}

class _StoreBountyCheckoutState extends State<StoreBountyCheckout> {

  var checkout = "version2";


  @override
  void initState() {
    themeSelect();
    super.initState();

  }

  themeSelect(){
    for(var i = 0; i < CheckoutThemes.themes.length; i++){
      if(CheckoutThemes.themes[i]['name'] == "version2"){
        checkout = CheckoutThemes.themes[i]['name']!;
        return;
      }
    }
    setState(() {

    });
  }

  @override
  Widget build(BuildContext context) {
    if(checkout == "version1"){
      return StoreBountyCheckoutV1(onCompleted: widget.onCompleted,);
    }else{
      return StoreBountyCheckoutV2(onCompleted: widget.onCompleted,);
    }
  }

}
